enum WeightUnit {
    kilogram,
    unset
}
String weightUnitToString(WeightUnit weightUnit) {
  if(weightUnit == WeightUnit.kilogram) {
    return "kilogram";
  }

  return "unset";
}
WeightUnit weightUnitFromString(String weightUnit) {
  if(weightUnit == "kilogram") {
      return WeightUnit.kilogram;
  }

  return WeightUnit.unset;
}

class Weight {

  const Weight({
    this.weight,
    this.weightUnit,
    this.date
  });

  final num? weight;
  final WeightUnit? weightUnit;
  final DateTime? date;

  Map<String, dynamic> toJSON() {
    return {
      "weight": weight,
      "weightUnit": weightUnit != null ? weightUnitToString(weightUnit!) : null,
      "date": date != null ? date!.toIso8601String() : null
    };
  }

  static Weight fromJSON(Map<String, dynamic> data) {
    return Weight(
      weight: data["weight"],
      weightUnit: data["weightUnit"] != null ? weightUnitFromString(data["weightUnit"]) : null,
      date: data["date"] != null ? DateTime.parse(data["date"]) : null
    );
  }

}