library sdcl;

import 'package:sdcl/health_data/health_data.dart';
import 'package:sdcl/identifiables.dart';

class Block {
  
  const Block({
    this.identifiables,
    this.healthData
  });

  final List<Identifiable>? identifiables;
  final HealthData? healthData;

  Map<String, dynamic> toJSON() {
    return {
      "identifiables": identifiables != null ? identifiables!.map((e) => e.toJSON()).toList() : null,
      "healthData": healthData?.toJSON()
    };
  }

  static Block fromJSON(Map<String, dynamic> data) {
    return Block(
      identifiables: data["identifiables"]?.map<Identifiable>((e) => Identifiable.fromJSON(e)).toList(),
      healthData: data["healthData"] != null ? HealthData.fromJSON(data["healthData"]) : null
    );
  }

}